﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow(Staff user)
        {
            InitializeComponent();
            PChanger.MainFrame = MainFrame;
            switch (user.Id_StaffRole)
            {
                case 1:
                    MainFrame.Navigate(new AdminPage(user));
                    break;
                case 2:
                    MainFrame.Navigate(new HostelsPage(user));
                    break;
            }
        }

        private void MainFrame_ContentRendered(object sender, EventArgs e)
        {
            var visibleBackBtn = PChanger.MainFrame.CanGoBack ? BackBtn.Visibility = Visibility.Visible : BackBtn.Visibility = Visibility.Collapsed;
        }

        private void BackBtn_Click(object sender, RoutedEventArgs e)
        {
            PChanger.MainFrame.GoBack();
        }
    }
}
